POST https://api.staging.deliverect.com /{channelName}/menuStatus/{_id} Staging Environment

Menu Update (Async)

Menu Update (Async)

Receive menu update callback status.

Callback URL

or channels enabled with an async flow, a "callback" endpoint is included in the menu payload as below.

Channel partners should POST to this endpoint with a status to confirm success "ONLINE" or in any case where unsuccessful, send "FAILED"

This gives customers full visibility on menu publish events and their success, particularly where bulk operations across multiple locations are actioned. "callback": "https://api.staging.deliverect.com/{channelName}/menuStatus/649ea********b9a98d"

Path Parameters

Parameters Description Type
channelName Represents the case-sensitive Scope provided. string
_id This id shown in the callback url is a unique identifier of the menu publish request string

Body Parameters Fields marked with * are required.

Parameters Description Type
status * status of the menu operation string
comment any comment (optional) string

List of Status Values:

Value Description
ONLINE It signifies that the menu is now successfully published and available to users.
FAILED It indicates that the operation has failed. Partners should include relevant error details or error codes in the request body to assist in troubleshooting.

Response Time

Please ensure that the menu is published successfully within a maximum of 30 minutes. If the process exceeds this time limit, Deliverect will classify the operation as "Failed"

Stores (multiple channel IDs)

Currently we support menu publishing for one store/channelLinkId. In the payload you will find "stores" array where in the future you may receive more channelLinkIds.

```json "stores" "stores": [ "649a**********9ea9" ],


## Synchronous vs Asynchronous

Partners using an asynchronous flow should note the differences with the synchronous flow in the JSON example below, which are summarised as follows;

* **Asynchronous:** Has **`"menus"`** , **`"stores"`** and **`"callback"`** as keys within a **`"body"`**
* **Synchronous:** Shows an array of properties e.g. **`"availabilities"`**, **`"categories"`**, **`"modifierGroups"`** etc.

ℹ️ For an asynchronous flow, all references within **`"menus"`** follow [Menu Update](ref:post-menu-push) documentation

Path parameters

  • string Required
  • string Required

Body

  • string Required
  • string Required
POST /{channelName}/menuStatus/{_id}
Loading...

Share your request

Use this link to easily share a pre-filled request of this operation. Everything you filled will be shared apart from the authentication fields.

Request URL

https://docs.deliverect.com/doc/channel-api/explorer/operation/operation-post-parameter-menustatus-parameter

Send a delete request

It looks like you’re about to send a DELETE request to this API. This type of request carries a risk of permanent and irreversible data loss.

Are you sure you want to continue?
Response
Waiting for a request to be sent.